* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  background: #3f63cf;
}
main .page_title {
  padding: 15px;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  border-bottom: 2px solid #fff;
}
main .game_input {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 15px;
  margin-top: 15px;
}
main .game_input input {
  width: 100%;
  outline: none;
  font-size: 18px;
  padding: 5px;
  border: 1px solid #DECAFF;
  margin-right: 15px;
  border-radius: 5px;
}
main .game_input input::placeholder {
  font-size: 12px;
  color: grey;
}
main .game_input a {
  padding: 5px 25px;
  flex-shrink: 0;
  border-radius: 5px;
  background: #223D8F;
}
main .game_input img {
  width: 20px;
}
main .search_result .result_null {
  color: #fff;
  font-size: 32px;
  padding: 25px 0;
  text-align: center;
}
main .all_games {
  padding: 0 15px;
  padding-top: 15px;
}
main .all_games .game_list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 7px;
  grid-row-gap: 7px;
}
main .all_games .game_list .game_item img {
  width: 100%;
  height: 100%;
  min-height: 130px;
  border-radius: 5px;
}
main .all_games .game_list .game_item:nth-of-type(1) {
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
}
main .all_games .game_list .game_item:nth-of-type(3) {
  grid-column: 2 / span 2;
  grid-row: 5 / span 2;
}
header {
  padding-bottom: 15px;
}
@media screen and (min-width: 946px) {
  main .page_title p {
    width: 100%;
    max-width: 70%;
    margin: 0 auto;
  }
  main .game_input {
    width: 100%;
    max-width: 70%;
    margin: 0 auto;
    margin-top: 15px;
  }
  .all_games {
    width: 70%;
    margin: 0 auto;
  }
  main .all_games .game_list {
    grid-template-columns: repeat(8, 1fr);
  }
}
@media screen and (max-width: 1023px) and (min-width: 600px) {
  .all_games {
    width: 70%;
    margin: 0 auto;
  }
  main .all_games .game_list {
    grid-template-columns: repeat(5, 1fr);
  }
}
